Description

Barbara Benson representing NTL LTER site made the following request:

3) Hereis a suggested addition to EML2. When describing an
enumerated domain, the same code/definition pairs are used repeatedly in
an eml document. Could an id and reference be allowed in the attribute
domains?

My feeling is that this is an excellent idea. | think this would be extremely

common, and we should accomodate her request. The instance docs would largely
be the same except for the possibility of having to deal with a reference

substition.

Below is an example snippet that Barbara provided as they would like to use this
feature at NTL. Note that they reference the "enumeratedDomain" field, whereas
I htink we should be referencing the "attributeDomain" field instead so that any

of the domain types can be shared. It would make domain comparisons among
attributes very easy. Here's her example:

&lt;attribute&gt;
&1lt;attributeNames&gt; FLAG_AVG_AIR_TEMP&1t; /attributeNames&gt;
&lt;attributeDefinition&gt;data flag for air temperature&lt;/attributeDefinitioné&gt;
&lt;unité&gt;
&1lt;customUnité&gt;dimensionless&lt; /customUnité&gt;

&lt; /unites&gt;
&1lt;measurementScale&gt;nominal&lt; /measurementScales&gt;
&lt;attributeDomainé&gt;
&1lt;enumeratedDomain id="enum.METFLAG" scope="document"&gt;
&1lt;codelisté&gt;
A
&lt;definitioné&gt;Data logger off&lt;/definitioné&gt;

A?

<definition>Data logger off an indeterminate number of
hours</definition>

An

<definition>Data logger off n hours; daily averages may be in
error</definition>

B

<definition>Data logger off</definition> C

<definition>Sensor off; missing value reported</definition>

D

<definition>Sensor malfunction produced bad values; values set
to missing;</definition>

E

<definition>Sensor noisy; values of uncertain quality</definition> F
<definition>Sensor calibration error; correction factors have
been applied.</definition>

G

<definition>Sensor error; estimate made based on hourly
averages.</definition>

H

<definition>Data suspect; values outside of expected
range</definition> |

<definition>Estimated from combining more than one record for
the day</definition>

J

<definition>Estimated from another met station.</definition>

K

<definition>Sensor malfunction produced bad values: data of
limited use.</definition> L

<definition>Non standard routine followed</definition>
</codeList>

</enumeratedDomain>

</attributeDomain>

</attribute>

<attribute>
<attributeName>FLAG_AVG_DEWPOINT_TEMP</attributeName>

&lt;attributeDefinitioné&gt;data flag for dew point temperature
&lt; /attributeDefinitioné&gt;
&lt;unité&gt;
&1t;customUnité&gt;dimensionless&lt; /customUnité&gt;
&1t; /unité&gt;
&1lt;measurementScale&gt;nominal&lt; /measurementScales&gt;
&lt;attributeDomainé&gt; &1t; enumeratedDomainé&gt;
&1lt; referencesé&gt; enum.METFLAG&1t; /referencesé&gt;

&1lt; /enumeratedDomain&gt; &1lt; /attributeDomain&gt;
&lt; /attributesgt;

History

#1 - 10/18/2002 08:21 AM - Peter McCartney
| agree that it makes sense to do it at attributeDomain rather than each of the
options below it.

| cant think of too many datasets we have where a particularly lengthy
enumeration list is used more than once without creating a table as part of the
dataset to contain the enumeration, but i suppose there are people who never
build such tables in their datasets, or for some reason dont include them in the
release.

#2 - 10/30/2002 12:24 PM - Matt Jones

DONE. All attribute Domain elements can now be referenced to allow for this
sort of repeated use of the same domain among multiple attributes.

#3 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 638
